## node-postcss-modules 6.0.1+~cs5.1.3

=== Makefile ===
BUILD_DIR	= ./build

.PHONY: clean lint test build publish pack

clean:
	rm -rf $(BUILD_DIR) *.tgz

lint:
	npx eslint src test

test: lint
	npx jest

build: clean test
	npx babel src -d $(BUILD_DIR)

publish: build
	npm publish ./
	git push --follow-tags

pack: build
	npm pack

## node-postcss-modules 6.0.0+~cs5.1.3

=== debian/changelog ===
node-postcss-modules (6.0.0+~cs5.1.3-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Update test patch
  * Add dependey to node-loader-utils

 -- Yadd <yadd@debian.org>  Fri, 02 Dec 2022 09:24:59 +0100

node-postcss-modules (6.0.0+~cs5.1.3-1) unstable; urgency=medium

  * New upstream version 6.0.0+~cs5.1.3
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Mon, 07 Nov 2022 06:23:14 +0100

node-postcss-modules (5.0.0+~cs5.1.3-1) unstable; urgency=medium

  * Initial release (Closes: #1021203)

 -- Yadd <yadd@debian.org>  Mon, 31 Oct 2022 17:47:29 +0100

=== debian/control ===
Source: node-postcss-modules
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , jest <!nocheck>
 , mocha <!nocheck>
 , node-autoprefixer <!nocheck>
 , node-babel7
 , node-icss-utils <!nocheck>
 , node-icss-replace-symbols <!nocheck>
 , node-loader-utils <!nocheck>
 , node-lodash-packages <!nocheck>
 , node-postcss <!nocheck>
 , node-postcss-modules-extract-imports <!nocheck>
 , node-postcss-modules-local-by-default <!nocheck>
 , node-postcss-modules-scope <!nocheck>
 , node-postcss-modules-values <!nocheck>
 , node-tape <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-postcss-modules
Vcs-Git: https://salsa.debian.org/js-team/node-postcss-modules.git
Homepage: https://github.com/css-modules/postcss-modules#readme
Rules-Requires-Root: no

Package: node-postcss-modules
Architecture: all
Depends: node-icss-replace-symbols
 , node-icss-utils
 , node-loader-utils
 , node-lodash-packages
 , node-postcss
 , node-postcss-modules-extract-imports
 , node-postcss-modules-local-by-default
 , node-postcss-modules-scope
 , node-postcss-modules-values
 , ${misc:Depends}
Provides: ${nodejs:Provides}
Description: PostCSS plugin to use CSS Modules everywhere
 node-postcss-modules provides a PostCSS plugin to use CSS Modules to use CSS
 modules everywhere. Not only at the browser side.

=== debian/watch ===
version=4
opts=\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-postcss-modules-$1/ \
 https://github.com/css-modules/postcss-modules/tags .*/archive.*/v?([\d\.]+).tar.gz group

opts=\
component=generic-names,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-generic-names-$1/ \
 https://github.com/css-modules/generic-names/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=string-hash,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-string-hash-$1/ \
 https://github.com/darkskyapp/string-hash/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

## node-postcss-modules 6.0.1+~cs5.1.3

=== debian/changelog ===
node-postcss-modules (6.0.1+~cs5.1.3-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 6.0.1+~cs5.1.3

 -- Yadd <yadd@debian.org>  Sun, 10 Aug 2025 18:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  , node-postcss-modules-scope <!nocheck>
  , node-postcss-modules-values <!nocheck>
  , node-tape <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-postcss-modules
 Vcs-Git: https://salsa.debian.org/js-team/node-postcss-modules.git
 Homepage: https://github.com/css-modules/postcss-modules#readme

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	babeljs src -d build

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs
